package com.sun.mojarra.scales.util;


import java.text.SimpleDateFormat;
import java.util.Date;
import javax.faces.context.FacesContext;

public class TemplateHandlers {


    public static String formatDate(Date date, String format, Boolean useDefault) {
        String formattedDate = "";
        if ((date != null) || useDefault) {
            if (date == null) {
                date = new Date();
            }
            formattedDate = (date != null) ? new SimpleDateFormat(format).format(date) : new SimpleDateFormat(format).format(new Date());
        }
        return formattedDate;
    }

    public static String getStaticResourceUrl(FacesContext fc, String path) {
        String url =  fc.getExternalContext().getRequestContextPath() +
                ScalesUtil.createResourceUrl(fc, path);

        return url;
    }
}